summaryrefslogtreecommitdiffstats
path: root/tests/shell
diff options
context:
space:
mode:
authorVarsha Rao <rvarsha016@gmail.com>2017-11-19 18:04:32 +0530
committerPablo Neira Ayuso <pablo@netfilter.org>2017-11-20 14:31:03 +0100
commit6e55c0622cce086eda225dd0312cf021a9e35cee (patch)
tree0c1d38b0ed549589eff24c3acdf221d4fdf804d6 /tests/shell
parentb59e461231ca5bedfd0ebd1fdd4da4cc961b1b60 (diff)
tests: shell: Add test for IPv4 Mapped IPv6 address.
This patch adds test case for IPv4 Mapped IPv6 address. Signed-off-by: Varsha Rao <rvarsha016@gmail.com> Signed-off-by: Pablo Neira Ayuso <pablo@netfilter.org>
Diffstat (limited to 'tests/shell')
-rw-r--r--tests/shell/testcases/sets/0027ipv6_maps_ipv4_025
1 files changed, 25 insertions, 0 deletions
diff --git a/tests/shell/testcases/sets/0027ipv6_maps_ipv4_0 b/tests/shell/testcases/sets/0027ipv6_maps_ipv4_0
new file mode 100644
index 00000000..7ac271a0
--- /dev/null
+++ b/tests/shell/testcases/sets/0027ipv6_maps_ipv4_0
@@ -0,0 +1,25 @@
+#!/bin/bash
+
+# Tests IPv4 Mapped IPv6 addresses.
+
+set -e
+
+tmpfile=$(mktemp)
+if [ ! -w $tmpfile ] ; then
+ echo "Failed to create tmp file" >&2
+ exit 0
+fi
+
+trap "rm -rf $tmpfile" EXIT # cleanup if aborted
+
+echo "
+table inet t {
+ set s {
+ type ipv6_addr
+ flags interval
+ elements = { ::ffff:0.0.0.0/96 }
+ }
+}
+" > $tmpfile
+
+$NFT -f $tmpfile